The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Update a cross account

Prev Next

This URL updates the tenant ID of a cross account configured for a Controller.

Resource URL

PUT /controller/account/<accound id>/crossaccount/<crossaccount name>

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
accound id Cloud account ID.

The ID is allocated by the Manager for the cloud account associated with the Controller.

number Yes
crossaccount name Name of the cross account that needs to be updated string Yes

Payload Parameters:

Field Name Description Data Type Mandatory
crossAccountId Tenant ID of the cross account string Yes

Response Parameters

Following fields are returned in the response.

Field Name Description Data Type
success Indicates if the cross account update is successful.

Value is set to true if the update is successful.

Value is set to false if the update is not successful.

string
msg Message if cross account update is successful string
errMsg Not applicable Not applicable
domainName Not applicable Not applicable
data Tenant ID of the updated cross account string

Example

Request

PUT https://%3CNSM_IP%3E/intruvert/webservice/api/v1/cloud/controller/account/7/crossaccount/FinanceCompartment-1

Payload

{"crossAccountId": "abc.tenancy.oc1..aajitlpq"} 

Response

{
"success": true,
"msg": "CloudCrossAccount [FinanceCompartment-1] successfully updated to CrossAccountId -abc.tenancy.oc1..aajitlpq", 
"errMsg": null,
"domainName": null, 
"data": "abc.tenancy.oc1..aajitlpq"
}